Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
[Java] Class BuildExceptionReporter

    java.lang.Object
      org.gradle.BuildAdapter
          org.gradle.BuildExceptionReporter

All Implemented Interfaces:
  Action

    public class BuildExceptionReporter
    extends BuildAdapter

A BuildListener which reports the build exception, if any.

Constructor Summary
`BuildExceptionReporter(StyledTextOutputFactory textOutputFactory, LoggingConfiguration loggingConfiguration, BuildClientMetaData clientMetaData)`

Method Summary
`void` | `buildFinished(BuildResult result)`
`void` | `execute(Throwable failure)`

Methods inherited from class BuildAdapter
buildFinished, buildStarted, projectsEvaluated, projectsLoaded, settingsEvaluated

Constructor Detail

### BuildExceptionReporter

    public BuildExceptionReporter(StyledTextOutputFactory textOutputFactory, LoggingConfiguration loggingConfiguration, BuildClientMetaData clientMetaData)

Method Detail

### buildFinished

    public void buildFinished(BuildResult result)

### execute

    public void execute(Throwable failure)

Gradle API 1.10